Bug 332111 - Amarok crash when playing
Summary: Amarok crash when playing
Status: RESOLVED DUPLICATE of bug 290706
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 2.9
Assignee: Amarok Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-03-13 22:26 UTC by Angel L. Sánchez Pérez
Modified: 2014-03-15 01:04 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Angel L. Sánchez Pérez 2014-03-13 22:26:56 UTC
Application: amarok (2.8.0)
KDE Platform Version: 4.11.5
Qt Version: 4.8.4
Operating System: Linux 3.11.0-18-generic x86_64
Distribution: Ubuntu 13.10

-- Information about the crash:
It just crash after pay some songs. I need to restart the aplication.

I already try to reinstall it, but the problem still happen.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc75a36b7c0 (LWP 27658))]

Thread 9 (Thread 0x7fc72b274700 (LWP 27664)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fc75771c3e4 in wait (time=60000, this=0x1b04030) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x1b20850, mutex=mutex@entry=0x1b20848, time=time@entry=60000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc7593aa12e in AbstractDirectoryWatcher::run (this=0x1b20820) at ../../src/scanner/AbstractDirectoryWatcher.cpp:65
#4  0x00007fc75493ecb2 in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fc72b273d70, th=th@entry=0x1b57fa0, job=job@entry=0x1b20820) at ../../../threadweaver/Weaver/Job.cpp:106
#5  0x00007fc75493ee6e in ThreadWeaver::Job::execute (this=0x1b20820, th=0x1b57fa0) at ../../../threadweaver/Weaver/Job.cpp:135
#6  0x00007fc75493e6bb in ThreadWeaver::Thread::run (this=0x1b57fa0) at ../../../threadweaver/Weaver/Thread.cpp:108
#7  0x00007fc75771bf2f in QThreadPrivate::start (arg=0x1b57fa0) at thread/qthread_unix.cpp:338
#8  0x00007fc7533bff6e in start_thread (arg=0x7fc72b274700) at pthread_create.c:311
#9  0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7fc729450700 (LWP 27665)):
#0  0x00007fc751d3bf10 in pthread_mutex_unlock@plt () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc751daa3d1 in g_mutex_unlock (mutex=mutex@entry=0x7fc71c0009a0) at /build/buildd/glib2.0-2.38.1/./glib/gthread-posix.c:232
#2  0x00007fc751d6a119 in g_main_context_check (context=context@entry=0x7fc71c0009a0, max_priority=2147483647, fds=fds@entry=0x7fc71c0021b0, n_fds=n_fds@entry=1) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3554
#3  0x00007fc751d6a63b in g_main_context_iterate (context=context@entry=0x7fc71c0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3709
#4  0x00007fc751d6a7ac in g_main_context_iteration (context=0x7fc71c0009a0, may_block=1) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3773
#5  0x00007fc757848a76 in QEventDispatcherGlib::processEvents (this=0x7fc71c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fc75781a5ef in QEventLoop::processEvents (this=this@entry=0x7fc72944fd70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fc75781a8e5 in QEventLoop::exec (this=this@entry=0x7fc72944fd70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fc75771988f in QThread::exec (this=this@entry=0x1b5aa50) at thread/qthread.cpp:542
#9  0x00007fc7577fbd13 in QInotifyFileSystemWatcherEngine::run (this=0x1b5aa50) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007fc75771bf2f in QThreadPrivate::start (arg=0x1b5aa50) at thread/qthread_unix.cpp:338
#11 0x00007fc7533bff6e in start_thread (arg=0x7fc729450700) at pthread_create.c:311
#12 0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7fc728b43700 (LWP 27666)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fc75771c406 in wait (time=18446744073709551615, this=0x1b57900) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1b57808, mutex=0x1b57a80, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc75493ce6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b577e0, th=0x1ff3c70) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007fc75493f903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b57b10, th=0x1ff3c70, previous=0x272ff60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007fc75493e61f in ThreadWeaver::Thread::run (this=0x1ff3c70) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007fc75771bf2f in QThreadPrivate::start (arg=0x1ff3c70) at thread/qthread_unix.cpp:338
#7  0x00007fc7533bff6e in start_thread (arg=0x7fc728b43700) at pthread_create.c:311
#8  0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7fc71bfff700 (LWP 27667)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fc75771c406 in wait (time=18446744073709551615, this=0x1b57900) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1b57808, mutex=0x1b57a80, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc75493ce6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b577e0, th=0x7fc720024630) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007fc75493f903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b57b10, th=0x7fc720024630, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007fc75493f91c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b57b10, th=0x7fc720024630, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007fc75493f91c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b57b10, th=0x7fc720024630, previous=0x1e75960) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007fc75493e61f in ThreadWeaver::Thread::run (this=0x7fc720024630) at ../../../threadweaver/Weaver/Thread.cpp:98
#8  0x00007fc75771bf2f in QThreadPrivate::start (arg=0x7fc720024630) at thread/qthread_unix.cpp:338
#9  0x00007fc7533bff6e in start_thread (arg=0x7fc71bfff700) at pthread_create.c:311
#10 0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fc71b7fe700 (LWP 27668)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fc75771c406 in wait (time=18446744073709551615, this=0x1b57900) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1b57808, mutex=0x1b57a80, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc75493ce6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b577e0, th=0x7fc72002e020) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007fc75493f903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b57b10, th=0x7fc72002e020, previous=0x1d5fa20) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007fc75493e61f in ThreadWeaver::Thread::run (this=0x7fc72002e020) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007fc75771bf2f in QThreadPrivate::start (arg=0x7fc72002e020) at thread/qthread_unix.cpp:338
#7  0x00007fc7533bff6e in start_thread (arg=0x7fc71b7fe700) at pthread_create.c:311
#8  0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fc71a77e700 (LWP 27669)):
#0  0x00007fc751daa0ea in g_mutex_get_impl (mutex=0x7fc7100009a0) at /build/buildd/glib2.0-2.38.1/./glib/gthread-posix.c:124
#1  0x00007fc751daa399 in g_mutex_lock (mutex=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gthread-posix.c:213
#2  0x00007fc751d6a595 in g_main_context_iterate (context=context@entry=0x7fc7100009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3679
#3  0x00007fc751d6a7ac in g_main_context_iteration (context=0x7fc7100009a0, may_block=1) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3773
#4  0x00007fc757848a76 in QEventDispatcherGlib::processEvents (this=0x7fc7100008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fc75781a5ef in QEventLoop::processEvents (this=this@entry=0x7fc71a77dd70, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fc75781a8e5 in QEventLoop::exec (this=this@entry=0x7fc71a77dd70, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fc75771988f in QThread::exec (this=this@entry=0x1ddc7d0) at thread/qthread.cpp:542
#8  0x00007fc7577fbd13 in QInotifyFileSystemWatcherEngine::run (this=0x1ddc7d0) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007fc75771bf2f in QThreadPrivate::start (arg=0x1ddc7d0) at thread/qthread_unix.cpp:338
#10 0x00007fc7533bff6e in start_thread (arg=0x7fc71a77e700) at pthread_create.c:311
#11 0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fc6f97fa700 (LWP 28574)):
#0  0x00007fc7570c2f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc74eee3041 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007fc74eed484c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007fc74eed4ede in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007fc74eed4f90 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007fc74eee2ff3 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007fc749f99ee8 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-4.0.so
#7  0x00007fc7533bff6e in start_thread (arg=0x7fc6f97fa700) at pthread_create.c:311
#8  0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fc709cb2700 (LWP 28575)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#1  0x00007fc7533c2192 in _L_lock_1142 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fc7533c2110 in __GI___pthread_mutex_lock (mutex=0x1a49710) at pthread_mutex_lock.c:104
#3  0x00007fc751daa3a1 in g_mutex_lock (mutex=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gthread-posix.c:213
#4  0x00007fc748d6739e in gst_element_post_message (element=element@entry=0x1a4d040, message=message@entry=0x7fc6e4001d90) at gstelement.c:1842
#5  0x00007fc748d52fc4 in gst_bin_handle_message_func (bin=0x1a4d040, message=0x7fc6e4001d90) at gstbin.c:3442
#6  0x00007fc748d85765 in gst_pipeline_handle_message (bin=0x1a4d040, message=0x7fc6e4001d90) at gstpipeline.c:587
#7  0x00007fc73689e359 in gst_play_bin_handle_message (bin=0x1a4d040, msg=0x7fc6e4001d90) at gstplaybin2.c:2387
#8  0x00007fc748d4ff28 in bin_bus_handler (bus=bus@entry=0x16674e0, message=message@entry=0x7fc6e4001d90, bin=bin@entry=0x1a4d040) at gstbin.c:2793
#9  0x00007fc748d59b22 in gst_bus_post (bus=bus@entry=0x16674e0, message=message@entry=0x7fc6e4001d90) at gstbus.c:322
#10 0x00007fc748d673c3 in gst_element_post_message (element=element@entry=0x2c02530, message=message@entry=0x7fc6e4001d90) at gstelement.c:1853
#11 0x00007fc748d52fc4 in gst_bin_handle_message_func (bin=0x2c02530, message=0x7fc6e4001d90) at gstbin.c:3442
#12 0x00007fc70a72db37 in handle_message (bin=0x2c02530, msg=0x7fc6e4001d90) at gsturidecodebin.c:2210
#13 0x00007fc748d4ff28 in bin_bus_handler (bus=bus@entry=0x16671e0, message=message@entry=0x7fc6e4001d90, bin=bin@entry=0x2c02530) at gstbin.c:2793
#14 0x00007fc748d59b22 in gst_bus_post (bus=bus@entry=0x16671e0, message=message@entry=0x7fc6e4001d90) at gstbus.c:322
#15 0x00007fc748d673c3 in gst_element_post_message (element=element@entry=0x2c02760, message=message@entry=0x7fc6e4001d90) at gstelement.c:1853
#16 0x00007fc748d52fc4 in gst_bin_handle_message_func (bin=0x2c02760, message=0x7fc6e4001d90) at gstbin.c:3442
#17 0x00007fc748d4ff28 in bin_bus_handler (bus=bus@entry=0x1a4f700, message=message@entry=0x7fc6e4001d90, bin=bin@entry=0x2c02760) at gstbin.c:2793
#18 0x00007fc748d59b22 in gst_bus_post (bus=bus@entry=0x1a4f700, message=message@entry=0x7fc6e4001d90) at gstbus.c:322
#19 0x00007fc748d673c3 in gst_element_post_message (element=element@entry=0x7fc6fc01b070, message=0x7fc6e4001d90) at gstelement.c:1853
#20 0x00007fc748d67d04 in _priv_gst_element_state_changed (element=element@entry=0x7fc6fc01b070, oldstate=oldstate@entry=GST_STATE_NULL, newstate=newstate@entry=GST_STATE_READY, pending=pending@entry=GST_STATE_VOID_PENDING) at gstelement.c:2372
#21 0x00007fc748d68b2f in gst_element_continue_state (element=element@entry=0x7fc6fc01b070, ret=ret@entry=GST_STATE_CHANGE_SUCCESS) at gstelement.c:2470
#22 0x00007fc748d68372 in gst_element_change_state (element=element@entry=0x7fc6fc01b070, transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2798
#23 0x00007fc748d687f3 in gst_element_set_state_func (element=0x7fc6fc01b070, state=GST_STATE_READY) at gstelement.c:2717
#24 0x00007fc70a72b8cf in connect_pad (chain=<optimized out>, factories=0x167f500, caps=0x1649a00, pad=0x34870c0, dpad=0x2badb90, src=0x2de2c00, dbin=<optimized out>) at gstdecodebin2.c:1921
#25 analyze_new_pad (dbin=dbin@entry=0x2c02760, src=src@entry=0x2de2c00, pad=pad@entry=0x34870c0, caps=caps@entry=0x1649a00, chain=<optimized out>, chain@entry=0x2c04340) at gstdecodebin2.c:1630
#26 0x00007fc70a72ccd5 in pad_added_cb (element=element@entry=0x2de2c00, pad=pad@entry=0x34870c0, chain=chain@entry=0x2c04340) at gstdecodebin2.c:2333
#27 0x00007fc70a72d09d in caps_notify_cb (pad=0x34870c0, unused=<optimized out>, chain=0x2c04340) at gstdecodebin2.c:2447
#28 0x00007fc751400188 in g_closure_invoke (closure=0x2e653d0, return_value=0x0, n_param_values=2, param_values=0x7fc709cb1760, invocation_hint=0x7fc709cb1700) at /build/buildd/glib2.0-2.38.1/./gobject/gclosure.c:777
#29 0x00007fc751411b1d in signal_emit_unlocked_R (node=node@entry=0x1648660, detail=detail@entry=209, instance=instance@entry=0x34870c0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fc709cb1760) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3586
#30 0x00007fc751419829 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fc709cb18f8) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3330
#31 0x00007fc751419ae2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3386
#32 0x00007fc751404505 in g_object_dispatch_properties_changed (object=0x34870c0, n_pspecs=128, pspecs=0xb) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1047
#33 0x00007fc748d4f484 in gst_object_dispatch_properties_changed (object=0x34870c0, n_pspecs=1, pspecs=0x7fc709cb1a88) at gstobject.c:530
#34 0x00007fc751406be3 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x34870c0) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1141
#35 g_object_notify_by_pspec (object=object@entry=0x34870c0, pspec=<optimized out>) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1245
#36 0x00007fc748d7d494 in gst_pad_set_caps (pad=0x34870c0, caps=0x1649a00) at gstpad.c:2745
#37 0x00007fc709ec62b4 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstaudioparsers.so
#38 0x00007fc749024424 in gst_base_parse_handle_and_push_frame (parse=parse@entry=0x2de2c00, frame=frame@entry=0x7fc709cb1d00, klass=0x167d600) at gstbaseparse.c:1687
#39 0x00007fc749026f03 in gst_base_parse_loop (pad=<optimized out>) at gstbaseparse.c:2826
#40 0x00007fc748da7d64 in gst_task_func (task=0x2bc5aa0) at gsttask.c:327
#41 0x00007fc751d8fab6 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gthreadpool.c:309
#42 0x00007fc751d8f0f5 in g_thread_proxy (data=0x1814f70) at /build/buildd/glib2.0-2.38.1/./glib/gthread.c:798
#43 0x00007fc7533bff6e in start_thread (arg=0x7fc709cb2700) at pthread_create.c:311
#44 0x00007fc7570cf9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fc75a36b7c0 (LWP 27658)):
[KCrash Handler]
#6  0x00007fc751409de2 in g_value_set_object (value=0x7fff9cb77210, v_object=0x7fc6fc07f180) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:3752
#7  0x00007fc7368a3228 in gst_play_bin_get_property (object=0x1a4d040, prop_id=<optimized out>, value=0x7fff9cb77210, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007fc751407df5 in object_get_property (value=0x7fff9cb77210, pspec=<optimized out>, object=0x1a4d040) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1303
#9  g_object_get_valist (object=object@entry=0x1a4d040, first_property_name=first_property_name@entry=0x7fc73cf223de "source", var_args=var_args@entry=0x7fff9cb772b8) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:2193
#10 0x00007fc751408287 in g_object_get (_object=0x1a4d040, first_property_name=0x7fc73cf223de "source") at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:2283
#11 0x00007fc73cf17a30 in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=<optimized out>, param=<optimized out>, data=0x1a446d0) at ../../gstreamer/pipeline.cpp:828
#12 0x00007fc751400188 in g_closure_invoke (closure=0x1a4fe60, return_value=0x0, n_param_values=2, param_values=0x7fff9cb77630, invocation_hint=0x7fff9cb775d0) at /build/buildd/glib2.0-2.38.1/./gobject/gclosure.c:777
#13 0x00007fc751411b1d in signal_emit_unlocked_R (node=node@entry=0x1648660, detail=detail@entry=2166, instance=instance@entry=0x1a4d040, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff9cb77630) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3586
#14 0x00007fc751419829 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff9cb777c8) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3330
#15 0x00007fc751419ae2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3386
#16 0x00007fc751404505 in g_object_dispatch_properties_changed (object=0x1a4d040, n_pspecs=80, pspecs=0x0) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1047
#17 0x00007fc748d4f484 in gst_object_dispatch_properties_changed (object=0x1a4d040, n_pspecs=1, pspecs=0x7fff9cb77958) at gstobject.c:530
#18 0x00007fc751406abb in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x1a4d040) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1141
#19 g_object_notify (object=object@entry=0x1a4d040, property_name=property_name@entry=0x7fc7368c6beb "source") at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1183
#20 0x00007fc73689f7bf in notify_source_cb (uridecodebin=<optimized out>, pspec=<optimized out>, group=<optimized out>) at gstplaybin2.c:3445
#21 0x00007fc751400188 in g_closure_invoke (closure=0x7fc6fc07f180, return_value=0x0, n_param_values=2, param_values=0x7fff9cb77b30, invocation_hint=0x7fff9cb77ad0) at /build/buildd/glib2.0-2.38.1/./gobject/gclosure.c:777
#22 0x00007fc751411b1d in signal_emit_unlocked_R (node=node@entry=0x1648660, detail=detail@entry=2166, instance=instance@entry=0x2c02990, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff9cb77b30) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3586
#23 0x00007fc751419829 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff9cb77cc8) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3330
#24 0x00007fc751419ae2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.38.1/./gobject/gsignal.c:3386
#25 0x00007fc751404505 in g_object_dispatch_properties_changed (object=0x2c02990, n_pspecs=80, pspecs=0x0) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1047
#26 0x00007fc748d4f484 in gst_object_dispatch_properties_changed (object=0x2c02990, n_pspecs=1, pspecs=0x7fff9cb77e58) at gstobject.c:530
#27 0x00007fc751406abb in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x2c02990) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1141
#28 g_object_notify (object=object@entry=0x2c02990, property_name=property_name@entry=0x7fc70a735a29 "source") at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1183
#29 0x00007fc70a731783 in setup_source (decoder=0x2c02990) at gsturidecodebin.c:2015
#30 gst_uri_decode_bin_change_state (element=0x2c02990, transition=<optimized out>) at gsturidecodebin.c:2493
#31 0x00007fc748d68182 in gst_element_change_state (element=element@entry=0x2c02990, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#32 0x00007fc748d687f3 in gst_element_set_state_func (element=0x2c02990, state=GST_STATE_PAUSED) at gstelement.c:2717
#33 0x00007fc748d56622 in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=0, base_time=0, element=0x2c02990, bin=0x1a4d040) at gstbin.c:2209
#34 gst_bin_change_state_func (element=0x1a4d040, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#35 0x00007fc748d860d5 in gst_pipeline_change_state (element=0x1a4d040, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
#36 0x00007fc7368a17b1 in gst_play_bin_change_state (element=0x1a4d040, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
#37 0x00007fc748d68182 in gst_element_change_state (element=element@entry=0x1a4d040, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#38 0x00007fc748d687f3 in gst_element_set_state_func (element=0x1a4d040, state=GST_STATE_PLAYING) at gstelement.c:2717
#39 0x00007fc73cf1652f in Phonon::Gstreamer::Pipeline::setState (this=0x1a446d0, state=state@entry=GST_STATE_PLAYING) at ../../gstreamer/pipeline.cpp:242
#40 0x00007fc73cf0cd2a in Phonon::Gstreamer::MediaObject::requestState (this=this@entry=0x1a43c70, state=state@entry=Phonon::PlayingState) at ../../gstreamer/mediaobject.cpp:828
#41 0x00007fc73cf0cf95 in Phonon::Gstreamer::MediaObject::play (this=0x1a43c70) at ../../gstreamer/mediaobject.cpp:234
#42 0x00007fc759472525 in EngineController::playUrl (this=this@entry=0x159cc40, url=..., offset=0, startPaused=<optimized out>) at ../../src/EngineController.cpp:501
#43 0x00007fc75947298c in EngineController::play (this=0x159cc40, track=..., offset=offset@entry=0, startPaused=startPaused@entry=false) at ../../src/EngineController.cpp:415
#44 0x00007fc75924b7dc in Playlist::Actions::play (this=this@entry=0x1d143a0, trackid=5684444986945022824, now=now@entry=true) at ../../src/playlist/PlaylistActions.cpp:217
#45 0x00007fc75924bd89 in Playlist::Actions::play (this=0x1d143a0, index=...) at ../../src/playlist/PlaylistActions.cpp:195
#46 0x00007fc759290816 in Playlist::PrettyListView::trackActivated (this=0x2b47d60, idx=...) at ../../src/playlist/view/listview/PrettyListView.cpp:336
#47 0x00007fc7592933e1 in Playlist::PrettyListView::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at ./PrettyListView.moc:132
#48 0x00007fc75782fa58 in QMetaObject::activate (sender=sender@entry=0x2b47d60, m=m@entry=0x7fc758cd1600 <QAbstractItemView::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fff9cb787e0) at kernel/qobject.cpp:3539
#49 0x00007fc7587032f5 in QAbstractItemView::doubleClicked (this=this@entry=0x2b47d60, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:355
#50 0x00007fc75870cbc6 in QAbstractItemView::mouseDoubleClickEvent (this=0x2b47d60, event=0x7fff9cb78f40) at itemviews/qabstractitemview.cpp:1846
#51 0x00007fc75825c45e in QWidget::event (this=this@entry=0x2b47d60, event=event@entry=0x7fff9cb78f40) at kernel/qwidget.cpp:8379
#52 0x00007fc7585fd5be in QFrame::event (this=0x2b47d60, e=0x7fff9cb78f40) at widgets/qframe.cpp:557
#53 0x00007fc75870c6b3 in QAbstractItemView::viewportEvent (this=0x2b47d60, event=0x7fff9cb78f40) at itemviews/qabstractitemview.cpp:1644
#54 0x00007fc75781ba26 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x13d4f80, receiver=receiver@entry=0x2ddc250, event=event@entry=0x7fff9cb78f40) at kernel/qcoreapplication.cpp:1056
#55 0x00007fc75820cddc in QApplicationPrivate::notify_helper (this=this@entry=0x13d4f80, receiver=receiver@entry=0x2ddc250, e=e@entry=0x7fff9cb78f40) at kernel/qapplication.cpp:4563
#56 0x00007fc7582135ad in QApplication::notify (this=this@entry=0x7fff9cb797d0, receiver=receiver@entry=0x2ddc250, e=e@entry=0x7fff9cb78f40) at kernel/qapplication.cpp:4110
#57 0x00007fc759d7ca6a in KApplication::notify (this=0x7fff9cb797d0, receiver=0x2ddc250, event=0x7fff9cb78f40) at ../../kdeui/kernel/kapplication.cpp:311
#58 0x00007fc75781b8bd in QCoreApplication::notifyInternal (this=0x7fff9cb797d0, receiver=receiver@entry=0x2ddc250, event=event@entry=0x7fff9cb78f40) at kernel/qcoreapplication.cpp:946
#59 0x00007fc758212d63 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#60 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x2ddc250, event=event@entry=0x7fff9cb78f40, alienWidget=alienWidget@entry=0x2ddc250, nativeWidget=nativeWidget@entry=0x1f71120, buttonDown=buttonDown@entry=0x7fc758cf12f8 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#61 0x00007fc7582877db in QETWidget::translateMouseEvent (this=this@entry=0x1f71120, event=event@entry=0x7fff9cb792c0) at kernel/qapplication_x11.cpp:4631
#62 0x00007fc758287079 in QApplication::x11ProcessEvent (this=0x7fff9cb797d0, event=event@entry=0x7fff9cb792c0) at kernel/qapplication_x11.cpp:3624
#63 0x00007fc7582ae922 in x11EventSourceDispatch (s=s@entry=0x13c6d30, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#64 0x00007fc751d6a3b6 in g_main_dispatch (context=0x13c2590) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3065
#65 g_main_context_dispatch (context=context@entry=0x13c2590) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3641
#66 0x00007fc751d6a708 in g_main_context_iterate (context=context@entry=0x13c2590, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3712
#67 0x00007fc751d6a7ac in g_main_context_iteration (context=0x13c2590, may_block=1) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3773
#68 0x00007fc757848a55 in QEventDispatcherGlib::processEvents (this=0x13c27b0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#69 0x00007fc7582ae9d6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#70 0x00007fc75781a5ef in QEventLoop::processEvents (this=this@entry=0x7fff9cb796a0, flags=...) at kernel/qeventloop.cpp:149
#71 0x00007fc75781a8e5 in QEventLoop::exec (this=this@entry=0x7fff9cb796a0, flags=...) at kernel/qeventloop.cpp:204
#72 0x00007fc75781fe5b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#73 0x00007fc75820b34c in QApplication::exec () at kernel/qapplication.cpp:3828
#74 0x0000000000408393 in main (argc=<optimized out>, argv=0x7fff9cb79938) at ../../src/main.cpp:329

Possible duplicates by query: bug 330869, bug 330417, bug 330404, bug 329745, bug 329603.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2014-03-13 23:05:57 UTC
The crash is in the phonon-backend-gstramer, not much we can do about.

As a workaround, use the phonon-backend-vlc instead.

*** This bug has been marked as a duplicate of bug 290706 ***
Comment 2 Angel L. Sánchez Pérez 2014-03-15 01:04:49 UTC
That solves my problem.
Thanks
On 13/03/14 19:05, Myriam Schweingruber wrote:
> https://bugs.kde.org/show_bug.cgi?id=332111
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|UNCONFIRMED                 |RESOLVED
>           Resolution|---                         |DUPLICATE
>
> --- Comment #1 from Myriam Schweingruber <myriam@kde.org> ---
> The crash is in the phonon-backend-gstramer, not much we can do about.
>
> As a workaround, use the phonon-backend-vlc instead.
>
> *** This bug has been marked as a duplicate of bug 290706 ***
>

________________________________________________________________________________________________
I Conferencia Científica Internacional UCIENCIA 2014 en la UCI del 24 al 26 de abril de 2014, La Habana, Cuba. Ver http://uciencia.uci.cu